Bug 639204 - Summary: TB7d428655 rhnplugin.py:319:_getFile:RepoError: failed to retrieve repodata/208e0e2bcdbffac4b526cb79a5e4e7252382a953-updateinfo.xml.gz from rhel-i38 6-server-5
Summary: TB7d428655 rhnplugin.py:319:_getFile:RepoError: failed to retrieve r...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.5
i686 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-30 22:58 EDT by ascklai
Modified: 2013-03-14 15:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug report (1.71 KB, text/plain)
2010-09-30 22:59 EDT, ascklai
no flags Details
Crash report (1.72 KB, text/plain)
2010-10-20 04:05 EDT, fredrik.wallner
no flags Details

  None (edit)
Description ascklai 2010-09-30 22:58:40 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 ascklai 2010-09-30 22:59:33 EDT
Created attachment 450933 [details]
bug report
Comment 2 fredrik.wallner 2010-10-20 04:04:20 EDT
I have the same problem, attaching my crash report
Comment 3 fredrik.wallner 2010-10-20 04:05:38 EDT
Created attachment 454521 [details]
Crash report
Comment 4 fredrik.wallner 2010-10-20 04:07:38 EDT
(In reply to comment #2)
> I have the same problem, attaching my crash report

To specify, I get an "Uncaught exception" error when trying to view or apply the updates through the pup menu bar icon. I tried to run yum clean metadata but it didn't help.
Comment 5 Dennis McAteer 2011-02-10 19:39:43 EST
This appears to be the same error as noted above.  Here is the message I get when attempting to open pup:

Component: pirut
Summary: TB7d428655 rhnplugin.py:319:_getFile:RepoError: failed to retrieve repodata/9c31b4f9180ebe6b7e2af6a402494d8c50b2283f-updateinfo.xml.gz from rhel-i386-server-5
error was [Errno -1] Metadata file does not match checksum

Traceback (most recent call last):
  File "/usr/sbin/pup", line 617, in ?
    main()
  File "/usr/sbin/pup", line 613, in main
    pup.run()
  File "/usr/sbin/pup", line 451, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 291, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 347, in populateUpdates
    self.updateMetadata.add(repo)
  File "/usr/lib/python2.4/site-packages/yum/update_md.py", line 415, in add
    md = obj.retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1498, in retrieveMD
    return self._retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1538, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/yum-plugins/rhnplugin.py", line 319, in _getFile
    raise yum.Errors.RepoError, \
RepoError: failed to retrieve repodata/9c31b4f9180ebe6b7e2af6a402494d8c50b2283f-updateinfo.xml.gz from rhel-i386-server-5
error was [Errno -1] Metadata file does not match checksum

Local variables in innermost frame:
e: [Errno -1] Metadata file does not match checksum
url: None
text: rhel-i386-server-5/updateinfo
self: rhel-i386-server-5
cache: False
reget: None
relative: repodata/9c31b4f9180ebe6b7e2af6a402494d8c50b2283f-updateinfo.xml.gz
start: None
checkfunc: (<bound method RhnRepo.checkMD of <rhnplugin.RhnRepo object at 0x8f168cc>>, ('updateinfo',), {})
copy_local: 1
end: None
local: /var/cache/yum/rhel-i386-server-5/9c31b4f9180ebe6b7e2af6a402494d8c50b2283f-updateinfo.xml.gz
Comment 6 Dennis McAteer 2011-02-11 11:50:05 EST
Did a "yum clean all" just a little while ago, and it seems to have cleared the problem.  Still don't know what caused it in the first place though.
Comment 8 James Antill 2013-03-14 15:21:08 EDT
Was a problem that RHN was producing, but should be fixed now.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.